//C++ source file - Open Producer - Copyright (C) 2002 Don Burns
//Distributed under the terms of the GNU LIBRARY GENERAL PUBLIC LICENSE (LGPL)
//as published by the Free Software Foundation.

// Simple example of use of Producer::Camera
// The MySceneHandler class is a simple sample of a Camera::SceneHandler

#include <Producer/Camera>
#include "MySceneHandler"

int main()
{
	// Declare the camera
	Producer::Camera camera;

	// Optional.  Configure the size of the camera's render
	// surface.  Without these lines, the RenderSurface would
	// fill the whole screen and have no border
	Producer::RenderSurface *rs = camera.getRenderSurface();
	rs->setWindowRectangle( 100, 100, 640, 480 );
	rs->setWindowName( "Producer Example using Camera" );

	// Tell the camera about the Scene Handler.  See notes in MySceneHandler
	camera.setSceneHandler( new MySceneHandler );

    // Realizes RenderSurface
    camera.frame();

	while( rs->isRealized() )
	{
		camera.frame();
	}
	return 0;
}
