//C++ source file - Open Producer - Copyright (C) 2002 Don Burns
//Distributed under the terms of the GNU LIBRARY GENERAL PUBLIC LICENSE (LGPL)
//as published by the Free Software Foundation.

// Simple example of use of Producer::KeyboardMouse
// MySceneHandler is a simple example of a Camera::SceneHandler

#include <Producer/Camera>
#include <Producer/KeyboardMouse>

#include "MySceneHandler"
#include "MyKeyboardMouseCallback"

int main()
{
	Producer::Camera camera;
	Producer::RenderSurface *rs = camera.getRenderSurface();
	rs->setWindowRectangle( 100, 100, 640, 480 );
	rs->setWindowName( "Producer Example using Camera" );

	camera.setSceneHandler( new MySceneHandler );

	Producer::KeyboardMouse kbm(rs);

	bool done = false;
	MyKeyboardMouseCallback kbmcb(done);

	while( !done )
	{
		camera.frame();
		kbm.update( kbmcb );
	}
	return 0;
}
